_Eina_Matrix3 Struct Reference
Eina » Data Types » Matrix » 3x3 floating point matrices

A 3x3 floating point matrix. More...

`#include <eina_matrix.h>`

## Data Fields

double | xx
| xx in x' = (x * xx) + (y * xy) + xz
double | xy
| xy in x' = (x * xx) + (y * xy) + xz
double | xz
| xz in x' = (x * xx) + (y * xy) + xz
double | yx
| yx in y' = (x * yx) + (y * yy) + yz
double | yy
| yy in y' = (x * yx) + (y * yy) + yz
double | yz
| yz in y' = (x * yx) + (y * yy) + yz
double | zx
| zx in z' = (x * zx) + (y * zy) + zz
double | zy
| zy in z' = (x * zx) + (y * zy) + zz
double | zz
| zz in z' = (x * zx) + (y * zy) + zz

## Detailed Description

A 3x3 floating point matrix.